
<div *ngIf="accountTransaction">
    <h2><span jhiTranslate="bakApp.accountTransaction.detail.title">Account Transaction</span> {{accountTransaction.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="bakApp.accountTransaction.amount">Amount</span></dt>
        <dd>
            <span>{{accountTransaction.amount}}</span>
        </dd>
        <dt><span jhiTranslate="bakApp.accountTransaction.txDate">Tx Date</span></dt>
        <dd>
            <span>{{accountTransaction.txDate | date:'mediumDate'}}</span>
        </dd>
        <dt><span jhiTranslate="bakApp.accountTransaction.type">Type</span></dt>
        <dd>
            <span jhiTranslate="{{'bakApp.Transactions.' + accountTransaction.type}}">{{accountTransaction.type}}</span>
        </dd>
        <dt><span jhiTranslate="bakApp.accountTransaction.bankAccount">Bank Account</span></dt>
        <dd>
            <div *ngIf="accountTransaction.bankAccountId">
                <a [routerLink]="['/bank-account-my-suffix', accountTransaction.bankAccountId]">{{accountTransaction.bankAccountId}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'account-transaction-my-suffix/'+ accountTransaction.id + '/edit'} }]"
            replaceUrl="true"
            queryParamsHandling="merge"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
